package com.yidian.shenghuoquan.bmerchantorder.adapter

import android.widget.TextView
import androidx.core.content.ContextCompat
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.yidian.bcommon.extensions.hide
import com.yidian.bcommon.extensions.show
import com.yidian.shenghuoquan.bmerchantorder.R
import com.yidian.shenghuoquan.bmerchantorder.dto.MyOrderEntryDto

/**
 * 订单中心 - 各订单类型的入口
 */
class MyOrderEntryAdapter : BaseQuickAdapter<MyOrderEntryDto, BaseViewHolder>(R.layout.bmerchantorder_item_my_ordre_entry) {

  override fun convert(holder: BaseViewHolder, item: MyOrderEntryDto) {
    holder.getView<TextView>(R.id.tv_order_type).text = item.orderTypeName
    val orderNum = holder.getView<TextView>(R.id.tv_order_num)
    if (item.orderTypeNum.isNullOrBlank()) {
      orderNum.hide()
    } else {
      orderNum.show()
      orderNum.text = item.orderTypeNum
    }
    holder.getView<TextView>(R.id.iv_order_icon).background = item.orderTypeIcon?.let { ContextCompat.getDrawable(context, it) }
  }

}
