package com.yidian.shenghuoquan.bmerchantorder.adapter

import android.widget.TextView
import androidx.core.content.ContextCompat
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.yidian.shenghuoquan.bmerchantorder.R
import com.yidian.shenghuoquan.bmerchantorder.dto.OrderFilterConditionDto


/**
 * 订单筛选条件适配器
 */
class OrderFilterConditionAdapter : BaseQuickAdapter<OrderFilterConditionDto, BaseViewHolder>(R.layout.bmerchantorder_item_ordre_filter_condition) {

  override fun convert(holder: BaseViewHolder, item: OrderFilterConditionDto) {
    val view = holder.getView<TextView>(R.id.tv_filter_name)
    view.text = item.name
    if (item.isSelected) {
      view.setTextColor(ContextCompat.getColor(context, R.color.color_1852F1))
      view.background = ContextCompat.getDrawable(context, R.drawable.b_merchant_order_shape_blue_corner_bg)
    } else {
      view.setTextColor(ContextCompat.getColor(context, R.color.color_333333))
      view.background = ContextCompat.getDrawable(context, R.drawable.b_merchant_order_shape_white_corner_bg)
    }
  }
}
